Bug 272521 - (x-fontstyle-support) Handle fonts with many styles gracefully
Handle fonts with many styles gracefully
Status: NEW
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
rawhide
All All
medium Severity low
: ---
: ---
Assigned To: Nicolas Mailhot
Nicolas Mailhot
: Tracking
: 266741 (view as bug list)
Depends On: 249196 272441 272481 272821 273601 273621
Blocks: F9Target
  Show dependency treegraph
 
Reported: 2007-08-31 13:40 EDT by Nicolas Mailhot
Modified: 2013-01-09 23:24 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2007-08-31 13:40:47 EDT
Once upon a time fonts could only exist with regular/bold/italic/bold italic
styles. If you wanted more variants you had to declare several fonts with
different names

It was fixed in the font formats a long time ago. But because good FLOSS fonts
were scarce, and good proprietary fonts with more than the 4 legacy variants
were not that frequent either, FLOSS app writers mostly didn't notice it. So the
assumption only the 4 legacy styles exist is embedded in many FLOSS apps.

Fortunately the landscape is changing, rich FLOSS fonts are getting more common
(one such example is dejavu), and more creative users with huge font collections
make Fedora their desktop. Unfortunately this expose bugs in apps not ready to
handle more than 4 styles.

This bug is intended as a tracker for such issues in Fedora
Comment 1 Nicolas Mailhot 2007-09-01 04:38:55 EDT
*** Bug 266741 has been marked as a duplicate of this bug. ***
Comment 2 Behdad Esfahbod 2007-09-03 23:40:01 EDT
There's not much, if any, point in keeping this bug open here.  All the
features/bugs should be fixed upstream.
Comment 3 Nicolas Mailhot 2007-09-04 01:12:56 EDT
This bug gives a status of the current problem you can't get upstream since you
have many problem upstreams with many different bug trackers

Also sometimes you have pleasant surprises. OO.o upstream fix was done by the
Fedora maintainer
Comment 4 Bug Zapper 2008-05-13 23:10:06 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-06-09 18:48:28 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Elad Alfassa 2011-04-26 15:29:21 EDT
Is this bug still relevant?

Note You need to log in before you can comment on or make changes to this bug.